%define major 5
%define libname %mklibname yaz %{major}
%define develname %mklibname yaz -d

Summary:	Z39.50 protocol support library
Name:		yaz
Version:	5.20.2
Release:	%mkrel 3
License:	BSD-like
Group:		System/Libraries
URL:		http://www.indexdata.dk/yaz/
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-style-xsl
BuildRequires:	libicu-devel
BuildRequires:	libstemmer-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	tcl
BuildRequires:	tcp_wrappers-devel
BuildRequires:	termcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%{name} < %{version}-%{release}

%description
This package contains both a test-server and clients (normal & ssl) for the
ANSI/NISO Z39.50 protocol for Information Retrieval.

%package -n %{libname}
Summary:	Z39.50 Library
Group:		System/Libraries
Requires:	openssl
Requires:	tcp_wrappers
Requires:	%{name} = %{version}-%{release}
Obsoletes:	lib64yaz3
Obsoletes:  lib64yaz4

%description -n	%{libname}
YAZ is a library for the ANSI/NISO Z39.50 protocol for Information Retrieval.

%package -n %{develname}
Summary:	Z39.50 Library - development package
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Conflicts:	%{mklibname yaz 2 -d}
Obsoletes:	%{mklibname yaz 3 -d}

%description -n	%{develname}
Development libraries and includes for the libyaz package.

%prep

%setup -q

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*
perl -pi -e "s|/usr/lib/|%{_libdir}/|g" configure*

%build
autoreconf -fi
%configure2_5x \
    --enable-shared \
    --enable-tcpd \
    --with-openssl \
    --with-xml2 \
    --with-xslt \
    --with-exslt \
    --with-icu \
    --disable-static
    
%make


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std docdir=/installed-docs

# fix installed docs
rm -rf installed-docs
mv %{buildroot}/installed-docs .
mv %{buildroot}%{_docdir}/yaz/* installed-docs/

# fix yaz-config (weird stuff...)
perl -pi -e "s|^yaz_echo_source=.*|yaz_echo_source=yes|g" %{buildroot}%{_bindir}/yaz-config

# Remove cruft
find %{buildroot} -name '*.la' -o -name '*.a' | xargs rm -f

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc LICENSE installed-docs/*.html installed-docs/*.png
%attr(755,root,root) %{_bindir}/yaz-*
%attr(755,root,root) %{_bindir}/zoomsh
%{_mandir}

%{_datadir}/yaz/etc

%files -n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/yaz-config
%attr(755,root,root) %{_bindir}/yaz-asncomp
%{_includedir}/yaz
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/yaz.m4
%{_datadir}/yaz/z39.50
%{_datadir}/yaz/ill
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man1/yaz-config.*




%changelog
* Sun Nov 05 2017 bb2 <bb2> - 5.20.2-3pclos2017
- rebuild against updates

* Sat Mar 18 2017 bb2 <bb2> - 5.20.2-2pclos2017
- rebuild new gnutls

* Fri Feb 24 2017 bb2 <bb2> - 5.20.2-1pclos2017
- new version

* Tue Mar 01 2016 woodhead <pp> 4.2.20-1pclos2016
- update

* Sun Jun 05 2011 Texstar <texstar at gmail.com> 4.2.0-1pclos2011
- 4.2.0

* Mon Aug 16 2010 Texstar <texstar at gmail.com> 4.0.1-2pclos2010
- rebuild openssl

* Sat Jun 26 2010 Texstar <texstar at gmail.com> 4.0.1-1pclos2010
- 4.0.1


